{% extends 'base.html.twig' %}

{% block body %}
    <h1>Riavvio servizi</h1>
    <h2>Attenzione! Operazione critica</h2>
    <h3>In caso di problemi riavviare i servizi nell'ordine proposto.</h3>
    <table class="table table-striped table-hover ">
        <thead>
        <tr>
            <th>Servizio</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {% for service,label in servicesList %}
            <tr>
                <td>{{ label }}</td>
                <td>
                    <a class="btn btn-danger" href="{{ path('service_restart', { 'service': service }) }}">
                        <i class="ti-reload"></i>
                        Riavvia
                    </a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>


    <h3>Processi Supervisor</h3>
    {% if supervisor.working %}
        <table class="table table-striped">
            <thead>
            <tr>
                <th>Nome Processo</th>
                <th>Stato</th>
            </tr>
            </thead>
            <tbody>
            {% for process in supervisor.processes %}
            <tr>
                <td>{{ process.name }}</td>
                <td>{{ process.status }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        <div class="alert alert-danger">Supervisor non sta funzionando correttamente!</div>
    {% endif %}
{% endblock %}
